org.eclipse.incquery.validation.runtime.annotation

## Class ConstraintAnnotationValidator

- java.lang.Object
- - org.eclipse.incquery.validation.runtime.annotation.ConstraintAnnotationValidator

- All Implemented Interfaces:
    IPatternAnnotationAdditionalValidator

      public class ConstraintAnnotationValidator
      extends java.lang.Object
      implements IPatternAnnotationAdditionalValidator

  Class for validating a Constraint annotation on a pattern destined to be a constraint specification.

  Note that this class uses the optional dependency org.eclipse.incquery.patternlanguage.emf!
  Author:
    Abel Hegedus

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `SEVERITY_ISSUE_CODE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ConstraintAnnotationValidator()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `executeAdditionalValidation(Annotation annotation, IIssueCallback validator)` Executes additional, annotation-specific validation on a pattern.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### SEVERITY_ISSUE_CODE

          public static final java.lang.String SEVERITY_ISSUE_CODE

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### ConstraintAnnotationValidator

          public ConstraintAnnotationValidator()

  - ### Method Detail

    - #### executeAdditionalValidation

          public void executeAdditionalValidation(Annotation annotation,
                                                  IIssueCallback validator)

      Description copied from interface: `IPatternAnnotationAdditionalValidator`
      Executes additional, annotation-specific validation on a pattern.
      Specified by:
        `executeAdditionalValidation` in interface `IPatternAnnotationAdditionalValidator`
      Parameters:
        `annotation` - the pattern to validate
        `validator` - a callback validator to report errors and warnings